Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Concurrency_Strategy Class Template Reference

Defines the interface for specifying a concurrency strategy for a SVC_HANDLER. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Concurrency_Strategy:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME SVC_HANDLER::addr_type | addr_type
typedef SVC_HANDLER | handler_type
typedef ACE_TYPENAME SVC_HANDLER::stream_type | stream_type
## Public Methods
| ACE_Concurrency_Strategy (int flags=0)
| Constructor. More...
virtual int | activate_svc_handler (SVC_HANDLER *svc_handler, void *arg=0)
virtual | ~ACE_Concurrency_Strategy (void)
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Protected Attributes
int | flags_
| Flags that are parsed to set options for the connected <SVC_HANDLER>. More...

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Concurrency_Strategy< SVC_HANDLER >

Defines the interface for specifying a concurrency strategy for a SVC_HANDLER.

Default behavior is to activate the SVC_HANDLER by calling its <open> method (which allows the SVC_HANDLER to define its own concurrency strategy). However, subclasses can override this default strategy to do more sophisticated concurrency activations (such as creating the SVC_HANDLER as an active object via multi-threading or multi-processing).

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::addr_type ACE_Concurrency_Strategy::addr_type

template<class SVC_HANDLER>
typedef SVC_HANDLER ACE_Concurrency_Strategy::handler_type

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::stream_type ACE_Concurrency_Strategy::stream_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_Concurrency_Strategy< SVC_HANDLER >::ACE_Concurrency_Strategy | ( | int | flags = 0 | ) |

| Constructor.

template<class SVC_HANDLER>
ASYS_INLINE ACE_Concurrency_Strategy< SVC_HANDLER >::~ACE_Concurrency_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<class SVC_HANDLER>
int ACE_Concurrency_Strategy< SVC_HANDLER >::activate_svc_handler | ( | SVC_HANDLER * | svc_handler,
|  | void * | arg = 0
| ) | `[virtual]`

| Activate the <svc_handler> with an appropriate concurrency strategy. The default behavior of this method is to activate the SVC_HANDLER by calling its <open> method (which allows the SVC_HANDLER to define its own concurrency strategy). Reimplemented in ACE_Reactive_Strategy, ACE_Thread_Strategy, ACE_Process_Strategy, and ACE_NOOP_Concurrency_Strategy.

template<class SVC_HANDLER>
void ACE_Concurrency_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_Reactive_Strategy, ACE_Thread_Strategy, and ACE_Process_Strategy.

## Member Data Documentation

template<class SVC_HANDLER>
ACE_Concurrency_Strategy::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Reactive_Strategy, ACE_Thread_Strategy, and ACE_Process_Strategy.

template<class SVC_HANDLER>
int ACE_Concurrency_Strategy::flags_`[protected]`

| Flags that are parsed to set options for the connected <SVC_HANDLER>.

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp
- Strategies_T.i